# iai completion

Generate the autocompletion script for the specified shell

## Synopsis

Generate the autocompletion script for iai for the specified shell. See each sub-command's help for details on how to use the generated script.

## Options

```
  -h, --help   help for completion
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai completion bash](/cli/iai_completion_bash.md) - Generate the autocompletion script for bash
* [iai completion fish](/cli/iai_completion_fish.md) - Generate the autocompletion script for fish
* [iai completion powershell](/cli/iai_completion_powershell.md) - Generate the autocompletion script for powershell
* [iai completion zsh](/cli/iai_completion_zsh.md) - Generate the autocompletion script for zsh


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.interactive.ai/cli/iai_completion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
